import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        symbol?: string | undefined;
        name?: string | undefined;
        shells: number[];
        adapt_size?: boolean | undefined;
        shell_width?: number | undefined;
        size?: number | undefined;
        base_fill?: string | undefined;
        orbital_period?: number | undefined;
        nucleus_props?: Record<string, string | number> | undefined;
        shell_props?: Record<string, string | number> | undefined;
        electron_props?: Record<string, string | number> | undefined;
        highlight_shell?: number | null | undefined;
        style?: string | undefined;
    };
    events: {
        click: MouseEvent;
        keyup: KeyboardEvent;
    } & {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type BohrAtomProps = typeof __propDef.props;
export type BohrAtomEvents = typeof __propDef.events;
export type BohrAtomSlots = typeof __propDef.slots;
export default class BohrAtom extends SvelteComponentTyped<BohrAtomProps, BohrAtomEvents, BohrAtomSlots> {
}
export {};
