import { SvelteComponentTyped } from "svelte";
import type { ChemicalElement, PeriodicTableEvents } from '.';
declare const __propDef: {
    props: {
        element: ChemicalElement;
        bg_color?: string | null | undefined;
        show_symbol?: boolean | undefined;
        show_number?: boolean | undefined;
        show_name?: boolean | undefined;
        value?: number | false | undefined;
        style?: string | undefined;
        symbol_style?: string | undefined;
        active?: boolean | undefined;
        href?: string | null | undefined;
        text_color_threshold?: number | undefined;
        text_color?: string | null | undefined;
    };
    slots: {};
    events: PeriodicTableEvents;
};
export type ElementTileProps = typeof __propDef.props;
export type ElementTileEvents = typeof __propDef.events;
export type ElementTileSlots = typeof __propDef.slots;
export default class ElementTile extends SvelteComponentTyped<ElementTileProps, ElementTileEvents, ElementTileSlots> {
}
export {};
