import { SvelteComponentTyped } from "svelte";
declare const __propDef: {
    props: {
        protons: number;
        neutrons: number;
        radius?: number | undefined;
        size?: number | undefined;
        proton_color?: string | undefined;
        neutron_color?: string | undefined;
        stroke?: string | undefined;
        proton_label?: string | undefined;
        neutron_label?: string | undefined;
        text_color?: string | undefined;
        symbol?: string | undefined;
    };
    events: {
        [evt: string]: CustomEvent<any>;
    };
    slots: {};
};
export type NucleusProps = typeof __propDef.props;
export type NucleusEvents = typeof __propDef.events;
export type NucleusSlots = typeof __propDef.slots;
export default class Nucleus extends SvelteComponentTyped<NucleusProps, NucleusEvents, NucleusSlots> {
}
export {};
