import type { ChemicalElement } from '.';
export declare const active_category: import("svelte/store").Writable<"actinide" | "alkali metal" | "alkaline earth metal" | "diatomic nonmetal" | "lanthanide" | "metalloid" | "noble gas" | "polyatomic nonmetal" | "post-transition metal" | "transition metal" | null>;
export declare const active_element: import("svelte/store").Writable<ChemicalElement | null>;
export declare const last_element: import("svelte/store").Writable<ChemicalElement | null>;
export declare const heatmap_key: import("svelte/store").Writable<keyof ChemicalElement | null>;
export declare const show_icons: {
    subscribe: (this: void, run: import("svelte/store").Subscriber<boolean>, invalidate?: ((value?: boolean | undefined) => void) | undefined) => import("svelte/store").Unsubscriber;
    set: (val: boolean) => void;
};
export declare const default_category_colors: Record<string, string>;
export declare const category_colors: {
    subscribe: (this: void, run: import("svelte/store").Subscriber<Record<string, string>>, invalidate?: ((value?: Record<string, string> | undefined) => void) | undefined) => import("svelte/store").Unsubscriber;
    set: (val: Record<string, string>) => void;
};
